EDIT - feature request #5088

Redirect automatically to according page when search result has exactly one matching item
07/15/2015 11:57 AM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

The name search already behaves like this.
The same behaviour is requested for the Fauna Europaea experts search: #4321

we should discuss if it makes sense to implement this as a general feature for searches in the dataportal. Do we want the taxon and
description element search to behave the same?

To be discussed in the BGBM User Meeting: #4585

Related issues:
Related to EDIT - feature request #5999: Go directly to taxon page if only 1 ... Duplicate

History

#1 - 07/15/2015 11:58 AM - Andreas Kohlbecker

- Subject changed from automatic redirect to when search results have only one mathing item [DISCUSS] to automatic redirect to according page
when search results have only one mathing item [DISCUSS]

#2 - 07/16/2015 10:54 AM - Andreas Miiller

- Target version changed from DataPortal - Reviewed Next Major Release to Unassigned CDM tickets

#3 - 07/16/2015 11:19 AM - Andreas Miiller

- Subject changed from automatic redirect to according page when search results have only one mathing item [DISCUSS] to [DISCUSS] Redirect
automatically to according page when search result has exactly one matching item

#4 - 07/21/2015 03:11 PM - Andreas Kohlbecker

- Keywords changed from search, to search, FaunaEuropaea,

- Target version changed from Unassigned CDM tickets to Reviewed other components
- Priority changed from New to Priority14

- Subject changed from [DISCUSS] Redirect automatically to according page when search result has exactly one matching item to Redirect
automatically to according page when search result has exactly one matching item

AK + AM: this makes sense for all searches except for the free text search.
So we will implement this feature for all other searches.

#5 - 10/08/2015 12:01 PM - Andreas Miuller

- Target version changed from Reviewed Next Major Release to FaunaEuropaea Migration

Users: this is not generally wanted, at least not for taxon search

#6 - 10/08/2015 01:54 PM - Andreas Miuiller
- Status changed from New to Rejected

- Resolution set to wontfix

- % Done set to 0

- Target version deleted (FaunaEuropaea Migration)
As the specific request for Fauna Europaea is handled in #4321 | close this ticket.

#7 - 07/28/2016 10:32 AM - Andreas Kohlbecker

- Related to feature request #5999: Go directly to taxon page if only 1 result is returned for search added

#9 - 07/29/2016 03:19 PM - Andreas Miiller
- Description updated
- Category deleted (cdm-dataportal)

- Target version set to Release 4.3

#10 - 07/29/2016 08:01 PM - Andreas Miiller
- Status changed from Closed to Feedback
- Target version changed from Release 4.3 to Unassigned CDM tickets

- Resolution deleted (wontfix)

As this is now required also by others (e.g. Cuba) we should start implementing as configurable feature

#11 - 08/01/2016 11:20 AM - Andreas Muller

- Keywords changed from search, FaunaEuropaea, to search, FaunaEuropaea, Cuba

#12 - 09/02/2016 02:23 PM - Andreas Miiller
- Category set to Import

#13 - 12/06/2016 01:25 PM - Andreas Miiller
- Status changed from Rejected to Feedback

| don't know why this has still status "Rejected" though | changed it 4 month ago to "Feedback". Trying again

#14 - 05/11/2017 08:37 AM - Andreas Kohlbecker
- Status changed from Feedback to New
- Target version changed from Unassigned CDM tickets to Reviewed Next Major Release

- Private changed from Yes to No

No feedback is currently needed, | rather would set the state of the ticket to new, in progress also makes no sense sicne no one is currently working
on it.

#15 - 05/11/2017 10:51 AM - Andreas Muller

- Target version changed from Reviewed Next Major Release to Unassigned CDM tickets

Don't know why it is moved to Reviewed. As it is a request from several users | would keep it in Unassigned so we can discuss when we can do this.
